Bug 21459 - bogus events sent out when XKB is disabled
bogus events sent out when XKB is disabled
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/Input/Core
7.3 (2007.09)
Other All
: medium normal
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 03:31 UTC by Pierre Ossman
Modified: 2011-04-14 12:24 UTC (History)
1 user (show)

See Also:


Attachments
patch (850 bytes, patch)
2009-04-28 03:31 UTC, Pierre Ossman
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Ossman 2009-04-28 03:31:29 UTC
Created attachment 25226 [details] [review]
patch

See xorg-devel:

http://lists.x.org/archives/xorg-devel/2009-April/000744.html

"After a whole lot of digging, I've managed to trace this problem to its
source. Basically it's XKB that's sending events even though the
extension is disabled, resulting in more or less a random type value
(which on this systems happens to be interpreted as XError).

On 1.5 and 1.6, the code needs to check for noXkbExtension (see patch
below). 1.7 and beyond is a bit more complex given the big rewrite
going on in Xi. I can't say I see many checks for no XkbExtension at
all in the new code."
Comment 1 Peter Hutterer 2009-04-29 19:02:13 UTC
ACK from me, this should go into the respective branches.
Comment 2 Peter Hutterer 2009-04-30 16:57:44 UTC
nominated for 1.5 and 1.6.
Comment 3 Daniel Stone 2011-04-14 12:24:31 UTC
Closing as FIXED: I'm not sure if it went into 1.5/1.6 to be honest, but they're no longer supported and XKB has been mandatory since 1.7.